#!/bin/bash
################################################################################
# file 'install.sh', created by motius, on 2017-10-28
################################################################################

GITDIR=${HOME}
VIMGIT=vim
GIT=/usr/bin/git

################################################################################
# go/rego

cd "${GITDIR}/.vim/" || exit 1;

if [ -d "vim" ]
then
    cd ${VIMGIT} || exit 2;
    ${GIT} checkout master || exit 3;
    ${GIT} pull || exit 4;
else
    ${GIT} clone https://github.com/vim/vim ${VIMGIT} || exit 5;
    cd ${VIMGIT} || exit 6;
fi

################################################################################
# clean

${GIT} clean -fdx || exit 6;

################################################################################
# compile and install

./configure --enable-python3interp=yes \
            --enable-cscope \
            --enable-gnome-check \
            --with-x \
            --prefix="${GITDIR}"/.vim/${VIMGIT}/install
make -j
make install

################################################################################
# EOF 'install.sh'
################################################################################

